#ifndef HARDWARE_IIC_H__
#define HARDWARE_IIC_H__

int hardware_iic_init();

int set_hardware_iic(uint8_t iic_addr);

int hardware_iic_write(uint8_t device_addr, uint8_t reg_addr, const uint8_t *data, int len);

int hardware_iic_read(uint8_t device_addr, uint8_t reg_addr, uint8_t *data, int len);

int hardware_iic_close();

#endif